#include<stdio.h>
int main()
{
 int n, c1,c2,c3, min, sred, max, broj ;
 printf("Uneti trocifren pozitivan broj:\n");
 scanf("%d", &n);
 if (n<100 || n>999)
 printf("-1\n");
 else 
 {
   c1=n/100;
 c2=(n/10)%10;
 c3=n%10;
 {if (c1<c2)
      min=c1;
    else min=c2;
    if (c3<min)
      min=c3;}
      {if (c1>c2)
      max=c1;
    else max=c2;
    if (c3>max)
      max=c3;}
     {if (min==c1 && max==c2 || min==c2 && max==c1)
       sred=c3;
     else if (min==c1 && max==c3 || min==c3 && max==c1)
       sred=c2;
     else if (min==c3 && max==c2 || max==c3 && min==c2)
       sred=c1;}
     broj=min*100+sred*10+max;
     printf("%d\n", broj);}
return 0;
}

     
